%global pypi_name cairocffi

Name:           python-%{pypi_name}
Version:        1.2.0
Release:        %mkrel 1
Group:          Development/Python
Summary:        cffi-based cairo bindings for Python

License:        MIT
URL:            https://pypi.org/project/cairocffi
Source0:        %{pypi_source}

BuildArch:      noarch

%description
cairocffi is a CFFI-based drop-in replacement for Pycairo, a set of
Python bindings and object-oriented API for cairo.  Cairo is a 2D
vector graphics library with support for multiple backends including
image buffers, PNG, PostScript, PDF, and SVG file output.

%package -n python3-%{pypi_name}
Summary:        cffi-based cairo bindings for Python 3
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(cffi)
BuildRequires:  python3dist(pytest-runner)

%description -n python3-%{pypi_name}
cairocffi is a CFFI-based drop-in replacement for Pycairo, a set of
Python bindings and object-oriented API for cairo.  Cairo is a 2D
vector graphics library with support for multiple backends including
image buffers, PNG, PostScript, PDF, and SVG file output.

%prep
%setup -q -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%{python3_sitelib}/%{pypi_name}*


%changelog
* Sun Nov 22 2020 guillomovitch <guillomovitch> 1.2.0-1.mga8
+ Revision: 1648504
- new version 1.2.0

* Tue Feb 18 2020 umeabot <umeabot> 1.1.0-2.mga8
+ Revision: 1538226
- Mageia 8 Mass Rebuild

* Sat Nov 16 2019 daviddavid <daviddavid> 1.1.0-1.mga8
+ Revision: 1461209
- new version: 1.1.0

* Sun Sep 15 2019 daviddavid <daviddavid> 0.9.0-2.mga8
+ Revision: 1441767
- rebuild for python3.8
- drop python2 support

* Tue Jan 08 2019 shlomif <shlomif> 0.9.0-1.mga7
+ Revision: 1351513
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.8.1-2.mga7
+ Revision: 1288395
- Mageia 7 Mass Rebuild

* Fri Jun 15 2018 daviddavid <daviddavid> 0.8.1-1.mga7
+ Revision: 1236966
- new version: 0.8.1

* Tue May 08 2018 tv <tv> 0.7.2-5.mga7
+ Revision: 1227762
- rename python-cairocffi as python2-cairocffi
- better description

* Thu Oct 12 2017 tv <tv> 0.7.2-4.mga7
+ Revision: 1171208
- BR python3-cffi thus fixing build with iurt-0.7

* Wed Oct 04 2017 tv <tv> 0.7.2-3.mga7
+ Revision: 1168483
- BR python-cffi thus fixing build

* Sat Aug 05 2017 pterjan <pterjan> 0.7.2-2.mga7
+ Revision: 1135333
- Rebuild for python 3.6

* Wed Dec 16 2015 daviddavid <daviddavid> 0.7.2-1.mga6
+ Revision: 910982
- new version: 0.7.2
- use new python macros
- remove no more needed fix-python3-build patch

* Thu Oct 08 2015 tv <tv> 0.5.1-7.mga6
+ Revision: 887508
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 0.5.1-6.mga5
+ Revision: 749007
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.5.1-5.mga5
+ Revision: 728115
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.5.1-4.mga5
+ Revision: 687912
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.5.1-3.mga5
+ Revision: 629731
- Rebuild for new Python

* Sat May 31 2014 pterjan <pterjan> 0.5.1-2.mga5
+ Revision: 628478
- Rebuild for new Python

* Wed Oct 30 2013 neoclust <neoclust> 0.5.1-1.mga4
+ Revision: 548081
- Fix build with python3
- imported package python-cairocffi

